# $Revision: 1.6 $, $Date: 2007-12-02 15:46:11 $
Summary:	COLAMD: column approximate minimum degree
Summary(pl.UTF-8):	COLAMD - przybliżony algorytm minimalnego stopnia dla kolumn
Name:		colamd
Version:	2.7.1
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://www.cise.ufl.edu/research/sparse/colamd/COLAMD-%{version}.tar.gz
# Source0-md5:	de62fb5235499d1110b86751b0d4ca46
Patch0:		%{name}-ufconfig.patch
Patch1:		%{name}-shared.patch
URL:		http://www.cise.ufl.edu/research/sparse/colamd/
BuildRequires:	UFconfig
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The COLAMD column approximate minimum degree ordering algorithm
computes a permutation vector P such that the LU factorization of A
(:,P) tends to be sparser than that of A. The Cholesky factorization
of (A (:,P))'*(A (:,P)) will also tend to be sparser than that of
A'*A. SYMAMD is a symmetric minimum degree ordering method based on
COLAMD, available as a MATLAB-callable function. It constructs a
matrix M such that M'*M has the same pattern as A, and then uses
COLAMD to compute a column ordering of M. Colamd and symamd tend to be
faster and generate better orderings than their MATLAB counterparts,
colmmd and symmmd.

%description -l pl.UTF-8
Przybliżony algorytm porządkowania minimalnego stopnia dla kolumn
(COLAMD) oblicza wektor permutacji P taki, że rozkład LU A (:,P) jest
bardziej rzadki niż A. Rozkład Cholesky'ego (A (:,P))'*(A (:,P)) także
jest rzadszy niż A'*A. SYMAND to przybliżony algorytm porządkowania
minimalnego stopnia dla macierzy symetrycznych oparty na COLAMD,
dostępny jako funkcja do wywołania z MATLAB-a. Tworzy macierz M taką,
że M'*M ma ten sam wzór co A, a następnie używa algorytmu COLAMD do
obliczenia porządku kolumn M. COLAMD i SYMAMD są szybsze i generują
lepsze uporządkowania niż ich odpowiedniki z MATLAB-a: colmmd i
symmmd.

%package devel
Summary:	Header files for colamd library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki colamd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	UFconfig

%description devel
Header files for colamd library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki colamd.

%package static
Summary:	Static colamd library
Summary(pl.UTF-8):	Statyczna biblioteka colamd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static colamd library.

%description static -l pl.UTF-8
Statyczna biblioteka colamd.

%prep
%setup -q -n COLAMD
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C Lib install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install -D Include/colamd.h $RPM_BUILD_ROOT%{_includedir}/colamd.h

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_libdir}/libcolamd.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcolamd.so
%{_libdir}/libcolamd.la
%{_includedir}/colamd.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libcolamd.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: colamd.spec,v $
Revision 1.6  2007-12-02 15:46:11  baggins
- rel 2
- build with -fPIC

Revision 1.5  2007-12-02 14:58:37  baggins
- 2.7.1
- updated patches

Revision 1.4  2007/04/01 10:15:35  qboosh
- updated shared patch to use -lm when linking the library
- pass libdir to make
- BR: libtool

Revision 1.3  2007/03/30 17:03:28  qboosh
- pl

Revision 1.2  2007/03/26 23:21:00  glen
- build shared lib

Revision 1.1  2007/03/26 22:27:42  glen
- new
